"""
Launch script for Pocket Friends.
"""
import os
import pygame
import sys
from pathlib import Path
import pocket_friends.game_files.game as game

if __name__ == '__main__':
    enable_dev = False

    # enable dev mode if --dev argument is passed
    if len(sys.argv) > 0:
        for args in sys.argv:
            if args == '--delete-save':
                save_dir = os.path.join(Path.home(), '.pocket_friends')
                os.remove(save_dir + '/save.json')

    game.main()

    pygame.quit()
    sys.exit()
